From 1137642ce4360b3d8832ab5c469fb7e95faaa256 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 13 2020 21:17:31 +0000
Subject: [PATCH 1048/2232] Merge pull request #362 from Bromeon/bugfix/symlink-check


Fix Windows symlink test to give reproducible error messages
---

diff --git a/tools/cargo/build.rs b/tools/cargo/build.rs
index f6ec026..6c9d22d 100644
--- a/tools/cargo/build.rs
+++ b/tools/cargo/build.rs
@@ -61,6 +61,7 @@ fn main() {
         let from_dir = parent_dir.join("from");
         let to_dir = parent_dir.join("to");
         if fs::create_dir_all(&from_dir).is_ok()
+            && fs::remove_dir(&to_dir).is_ok()
             && windows::symlink_dir(&from_dir, &to_dir).is_err()
         {
             message = DENIED;

